#include <iostream>
uisng namespace std;
int main ()
{
    long long n;
    cin>>n;
    long long a[n],b[n];
    for (int i=0;i<n-1;i++)
    {
        cin>>a[i]>>b[i];
    }
    cout<<(n/2)+1;
    return 0;
}